Subject: [bug#39798] [PATCH 00/13] Update Pandoc.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 26 Feb 2020 19:04:05 +0100

Pierre Neidhardt <[email-masked]> writes:

> Update ghc-pandoc to 2.92 and rename it to pandoc.
> This closes bug 33844.
>
> Questions:
>
> - Should this go on staging?  It rebuilds a few hundred packages, maybe less
> than 300.
> - I'm not 100% sure that updating the Haskell libraries didn't break
> anything.  I guess the continuous integration will tell us.
> - 3-4 libraries seemed to have many dependents and updating them would break
>   stuff, so instead I created a versioned package, e.g. ghc-regex-base-0.94.
>   Is this OK?  Is there a best practice here?

I would prefer to untangle upgrading any packages from renaming
ghc-pandoc to pandoc.

Haskell package upgrades need to be consistent according to the current
LTS.  We can’t just upgrade some Haskell packages without upgrading them
all.  They also cannot be upgraded to the latest version as that may be
higher than the LTS version.

--
Ricardo